MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003435ATutorPretty Urlpublic2008-06-06 07:292011-08-18 13:04
Reporterharris 
Assigned Toharris 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionno change required 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.0.2 
Summary0003435: Problem with relative paths
DescriptionURL_rewrite will make all files go through go.php, and all relative paths will be relatived to go.php instead of the actual file.

This affects header location, mods, include, require, form post.

Solution:
1. Use AT_BASE_HREF, but mod will have problems still.
2. find a way to tell go.php to reset the path
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships
parent of 0004196closedgreg Return arrow on Privileges 

-  Notes
(0003005)
harris (developer)
2008-06-12 07:39

A
 - B
 - C

A includes B, B includes C.

C is relative to root/ instead of to A.
(0003726)
greg (administrator)
2009-07-21 14:45

is this still a problem?
(0004859)
harris (developer)
2010-12-20 16:46

Don't have this problem anymore, resolving.
(0005183)
greg (administrator)
2011-08-18 13:04

first round of 2.0.3 changes closed

- Issue History
Date Modified Username Field Change
2008-06-06 07:29 harris New Issue
2008-06-06 07:29 harris Affects version => SVN
2008-06-06 10:53 harris Severity minor => major
2008-06-06 10:53 harris Status new => assigned
2008-06-06 10:53 harris Assigned To => harris
2008-06-12 07:39 harris Note Added: 0003005
2009-07-21 14:45 greg Note Added: 0003726
2010-12-20 12:40 harris Relationship added parent of 0004196
2010-12-20 16:46 harris Status assigned => resolved
2010-12-20 16:46 harris Fixed in Version => 2.0.2
2010-12-20 16:46 harris Resolution open => no change required
2010-12-20 16:46 harris Note Added: 0004859
2011-08-18 13:04 greg Note Added: 0005183
2011-08-18 13:04 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker